Bug 62728 - Support for PDF/A-2 (ISO 19005-2:2011)
Summary: Support for PDF/A-2 (ISO 19005-2:2011)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.4.0 target:6.3.0.1
Keywords: accessibility, needsUXEval
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2013-03-25 15:46 UTC by bart
Modified: 2019-07-31 17:49 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bart 2013-03-25 15:46:44 UTC
PDF/A is widely used for long-term preservation of documents. For example many governments (a.o. European, Austrian, Dutch, Brazilian, German, Swiss) recommend or mandate PDF/A. 

LibreOffice already supports exports to PDF/A-1, which is great. PDF/A-2 is the second part to the standard. It adds some significant extra features. Therefore it is important that LibreOffice will support PDF/A-2. 

In the below you will find some basic information on PDF/A-2 from Wikipedia and some pointers to more background information.
---
PDF/A-2 address some of the new features added with versions 1.5, 1.6 and 1.7 of the PDF Reference. PDF/A-2 should be backwards compatible, i.e. all valid PDF/A-1 documents should also be compliant with PDF/A-2. However PDF/A-2 compliant files will not necessarily be PDF/A-1 compliant.

Part 2 of the PDF/A Standard is based on a more recent version, PDF 1.7 (ISO 32000-1), rather than PDF 1.4 and offers a number of new features:
* JPEG2000 image compression
* support for transparency effects and layers
* embedding of OpenType fonts
* provisions for digital signatures in accordance with the PDF Advanced Electronic Signatures – PAdES standard
* possibility to embed PDF/A files in PDF/A-2 for archiving of sets of documents as individual documents in a single file.[5]

Part 2 defines three conformance levels: PDF/A-2a, PDF/A-2b and a new conformance level PDF/A-2u. PDF/A-2u represents Level B conformance (PDF/A-2b) with the additional requirement that all text in the document have Unicode mapping.
---


Background information:
- http://en.wikipedia.org/wiki/PDF/A#PDF.2FA-2
- http://www.iso.org/iso/iso_catalogue/catalogue_tc/catalogue_detail.htm?csnumber=50655
- http://www.digitalpreservation.gov/formats/fdd/fdd000319.shtml
- http://www.scl.org/site.aspx?i=xb965
Comment 1 Robinson Tryon (qubit) 2015-12-10 03:37:36 UTC Comment hidden (obsolete)
Comment 2 Greg 2016-06-05 11:37:33 UTC
I would like to second this request.

What I'd really like to see in the near future is PAdES support, for the purpose of exported PDFs being LTV (Long-Term Validation) "enabled", even if full PDF/A-2 standard is not implemented.

Right now it is possible to create PDF/A-1a files with LTV signatures, by exporting them in LibreOffice and then using a third party software to sign the PDF. I'm not sure if this is compliant to standards, but you can see the LTV flag and people are happy.

Having the capability to produce LTV documents solely with LibreOffice would be very convenient and most appreciated.
Comment 3 Cor Nouws 2016-08-19 14:56:27 UTC
Support for PDF A-2 is mandatory in The Netherlands
Comment 4 Paddy Landau 2017-05-18 12:39:14 UTC
Further to this, PDF-3 came out in 2012. It would be ideal for LibreOffice to support not only PDF-2 but also PDF-3.
Comment 5 kurt.pfeifle 2017-10-22 19:02:43 UTC
Re. comment #3:

There is no such a thing as "PDF-3" or "PDF-2".

Can you please look up again and give an exact description of what you are talking about?

There are the following "plain" PDF versions:

PDF-1.0 released by Adobe in 1993
PDF-1.1 released by Adobe in 1994
PDF-1.2 released by Adobe in 1996
PDF-1.3 released by Adobe in 1999
PDF-1.4 released by Adobe in 2001
PDF-1.5 released by Adobe in 2003
PDF-1.6 released by Adobe in 2004
PDF-1.7 released by Adobe in 2006

Control over the specification of PDF-1.7 was given up by Adobe in 2008. Stewardship over it was passed to ISO which is now augmenting all further development of the general PDF standard.

ISO published the original PDF-1.7 specs in 2008 as "ISO 32000-1" standard (almost un-changed from the original Adobe specs).

In 2017 ISO published PDF-2.0.

The there are a few other special-purpose standards derived from general PDF. One of the most important ones for the general public is the series of standards which are addressing archiving purposes:

- PDF/A-1a  and  PDF/A-1b published in 2005 by ISO
- PDF/A-2 published in 2011 by ISO
- PDF/A-3 published in 2011 by ISO

There are more PDF file format standards (not all of them under ISO's stewardship) for special purposes, such as "PDF/X*", "PDF/VT", "PDF/E", "PDF/UA" and "PDF/A". However, none of them are called "PDF-2" or "PDF-3".
Comment 6 Paddy Landau 2017-10-23 13:27:39 UTC
@Kurt, sorry, PDF/A-2 and PDF/A-3. I thought that the latter was 2012, but you say that it was 2011; you might well be right.

Whichever it is, it would be great for LibreOffice to support these standards for long-term storage.
Comment 7 Commit Notification 2019-03-16 22:46:03 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ed4a0eed82e2f29e8163a445db992d22c6d07134%5E%21

tdf#62728 add PDF/A-2 support, change UI default to use that

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Cor Nouws 2019-03-19 08:51:14 UTC
thanks a lot Thorsten!
If one needs to get a PDF/A-1 format, how can that be done?
The format is mandatory in at least one case:
  https://wetten.overheid.nl/BWBR0025218/2015-07-01
Comment 9 Alex Thurgood 2019-03-19 09:57:41 UTC
(In reply to Cor Nouws from comment #8)
> thanks a lot Thorsten!
> If one needs to get a PDF/A-1 format, how can that be done?
> The format is mandatory in at least one case:
>   https://wetten.overheid.nl/BWBR0025218/2015-07-01

PDF/A-1 is also mandatory in some French organisations, eg. Sorbonne University, for the submission of doctorate theses :

http://lettres.sorbonne-universite.fr/valorisation-conseils-techniques
Comment 10 Thorsten Behrens (CIB) 2019-03-19 22:37:27 UTC
Hmm - so I'd prefer to not clutter the PDF export dialog with even more options - the PDF/A-1 export is still usable via UNO, so e.g. an extension could provide that functionality - or perhaps changing the preset via advanced options dialog is acceptable for those cases?
Comment 11 Cor Nouws 2019-03-19 23:06:56 UTC
(In reply to Thorsten Behrens (CIB) from comment #10)
> Hmm - so I'd prefer to not clutter the PDF export dialog with even more
from 20 to 21 is hardly more ;)

> options - the PDF/A-1 export is still usable via UNO, so e.g. an extension
> could provide that functionality - or perhaps changing the preset via
> advanced options dialog is acceptable for those cases?
I cannot judge that.
But would a listbox 

 Archive - none -
         PDF/A-1 ISO ..
         PDF/A-2b ISO ..
be an idea?
Comment 12 Thorsten Behrens (CIB) 2019-03-19 23:58:02 UTC
(In reply to Cor Nouws from comment #11)
> (In reply to Thorsten Behrens (CIB) from comment #10)
> > Hmm - so I'd prefer to not clutter the PDF export dialog with even more
> from 20 to 21 is hardly more ;)
> 
I don't believe many users will be able to parse out the difference between those two very long options, so yes I strongly believe for the average person, keeping both would be a significantly worse UX. Even more so as A-2 is a much better option if PDF/A is needed (but a user would probably choose randomly).

Setting ux advise keyword, and meanwhile this bug to fixed.
Comment 13 Heiko Tietze 2019-03-20 07:47:46 UTC
Could also be 

[x] Archive (with disabled subordinated controls if off)
    (o) PDF/A1   ( ) PDF/A2

(with ISO disclaimer in the tooltip, if that's really needed). If there are more formats on the horizon the combobox variation as used for Submit Format is an option.

We could also introduce a new tab where all "General" options go. IMHO except "Export bookmark...blank pages". View PDF after Export could go into Initial View.
Alternatively to the extra tab we could have an expander to hide the less often used options and a GtkSrollWindow to show the long list (more structure would help here anyway).
Comment 14 Thorsten Behrens (CIB) 2019-03-20 09:13:54 UTC
(In reply to Heiko Tietze from comment #13)
> [x] Archive (with disabled subordinated controls if off)
>     (o) PDF/A1   ( ) PDF/A2
> 
I like that proposal, but would obviously revert the order, and pre-select A-2. ;)
Comment 15 Paddy Landau 2019-03-20 11:44:14 UTC
The dialogue currently has a simple tick-box next to "Archive PDF/A-1a (ISO 19005-1)".

Comment #13 (@Heiko Tietze) makes sense, but please remember to include PDF/A-3. Also, PDF/A-4 is expected sometime this year.

So, a tick-box for PDF Archive, with a drop-down to choose from PDF/A-1, PDF/A-2, PDF/A-3 and PDF/A-4 (when available) would be sensible. The preselected option would be whatever was chosen last time, with the default being the latest available.
Comment 16 Dieter Praas 2019-06-06 19:29:31 UTC
Verified in

Version: 6.3.0.0.beta1 (x64)
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded
Comment 17 Commit Notification 2019-07-01 14:04:21 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/49cfcf777d03abf59557cad021b4e5c4445de3c0%5E%21

tdf#62728 Provide both A/1 and A/2 in PDF export dialog

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-07-01 17:52:15 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/0aed9cf0126409f0a2d215212becc6d562a58a98%5E%21

tdf#62728 Provide both A/1 and A/2 in PDF export dialog

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Thorsten Behrens (CIB) 2019-07-02 13:57:13 UTC
The last commits where the UI changes Heiko was suggesting - now considering this fixed for real. :)